Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class DataCacheConfig

    java.lang.Object
      com.bea.dsp.management.beans.DataCacheConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class DataCacheConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

Data space level configuration about whether caching should be done and where it should be done.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getDataSourceName()` Returns the name of the data source that would be used to cache content.
`java.lang.String` | `getTableName()` Returns the name of the table within the configured datasource that should be used to persist cache entries.
`boolean` | `isEnabled()` Returns `true` if caching is enabled at the data space level.
`void` | `setDataSourceName(java.lang.String dataSourceName)`
`void` | `setEnabled(boolean enabled)`
`void` | `setTableName(java.lang.String tableName)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDataSourceName

    public java.lang.String getDataSourceName()

  Returns the name of the data source that would be used to cache content.

  Returns:
    the name of the data source that would be used to cache content

### setDataSourceName

    public void setDataSourceName(java.lang.String dataSourceName)

### isEnabled

    public boolean isEnabled()

  Returns `true` if caching is enabled at the data space level. If this disabled the administrator would not be allowed to set the datasource and the table for caching. If this is enabled then both the datasource name and the table name must be set.

  Returns:
    `true` if caching is enabled at the data space level

### setEnabled

    public void setEnabled(boolean enabled)

### getTableName

    public java.lang.String getTableName()

  Returns the name of the table within the configured datasource that should be used to persist cache entries.

  Returns:
    name of the cache table.

### setTableName

    public void setTableName(java.lang.String tableName)

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.